<?xml version="1.0" encoding="utf-8"?>
<!--$Date$ $Revision$ $Author$ $ExpSubDir$-->
<ROOT>
  <REFERENCES>
    <HOBJ_REF>
      <uid>0136D9173C27BB84796C200D31025050</uid>
      <name>BACRT.KOM</name>
      <objType>PROCES</objType>
      <valType>Pr</valType>
    </HOBJ_REF>
    <HOBJ_REF>
      <uid>7AEB9978D564FD041BCBBCE68756885A</uid>
      <name>M.LD_Txt_UDP</name>
      <objType>POINT</objType>
      <valType>TxtO</valType>
    </HOBJ_REF>
    <HOBJ_REF>
      <uid>2D3621B626128CA459E5AF3BA1044BF6</uid>
      <name>M.LD_WhoIs_UDP</name>
      <objType>POINT</objType>
      <valType>Ci</valType>
    </HOBJ_REF>
    <HOBJ_REF>
      <uid>PICTURES</uid>
      <name>PICTURES</name>
      <objType>SYSTEM</objType>
      <valType>NAN</valType>
    </HOBJ_REF>
    <HOBJ_REF>
      <uid>241AC9797A07AEC4BA1F4C1CFB7018C5</uid>
      <name>SD.LD_List</name>
      <objType>STRUCTDEF</objType>
      <valType>NAN</valType>
    </HOBJ_REF>
    <COL_REF>
      <col_idx>3</col_idx>
      <col_name>Name</col_name>
      <col_valType>Text</col_valType>
    </COL_REF>
    <COL_REF>
      <col_idx>2</col_idx>
      <col_name>ObjIdent</col_name>
      <col_valType>Text</col_valType>
    </COL_REF>
    <COL_REF>
      <col_idx>1</col_idx>
      <col_name>ObjType</col_name>
      <col_valType>Int</col_valType>
    </COL_REF>
    <COL_REF>
      <col_idx>4</col_idx>
      <col_name>Position</col_name>
      <col_valType>Text</col_valType>
    </COL_REF>
    <HOBJ_REF>
      <uid>49D7C42978E5E294E9AC8FF4510FAA1E</uid>
      <name>SD.LD_PropList</name>
      <objType>STRUCTDEF</objType>
      <valType>NAN</valType>
    </HOBJ_REF>
    <COL_REF>
      <col_idx>1</col_idx>
      <col_name>Property_Id</col_name>
      <col_valType>Int</col_valType>
    </COL_REF>
    <COL_REF>
      <col_idx>2</col_idx>
      <col_name>Property_Value</col_name>
      <col_valType>Text</col_valType>
    </COL_REF>
  </REFERENCES>
  <CFGRECORDS>
    <TObjItemData>
      <Id>0</Id>
      <Name>S.BACnet_UdpDetect</Name>
      <Descript/>
      <Typ>PICTURE</Typ>
      <ParentId>PICTURES</ParentId>
      <Value_Type>Int</Value_Type>
      <CreateTime>01.01.1972 01:00:00.000</CreateTime>
      <ModifyTime>29.10.2025 05:57:10.849</ModifyTime>
      <Text_Palette/>
      <Read_Only>False</Read_Only>
      <TECH_UNIT/>
      <UseLimits>False</UseLimits>
      <VHL>1.00000000000000E+02</VHL>
      <HL>1.00000000000000E+02</HL>
      <LL>0.00000000000000E+00</LL>
      <VLL>0.00000000000000E+00</VLL>
      <VHL_ID/>
      <HL_ID/>
      <LL_ID/>
      <VLL_ID/>
      <Hysterezia>0.00000000000000E+00</Hysterezia>
      <TransPalIdx>0</TransPalIdx>
      <Hidden>False</Hidden>
      <uuid>20B934E629C4AE84EACAF25C8C89A09D</uuid>
      <memberOfModule/>
      <moduleRelation>AM_None</moduleRelation>
      <memberOfDevice/>
      <modifiedBy>s</modifiedBy>
      <version>0</version>
      <metadata/>
    </TObjItemData>
    <TPictureData>
      <DX>1177</DX>
      <DY>586</DY>
      <MIN_DX>0</MIN_DX>
      <MIN_DY>0</MIN_DY>
      <MAX_DX>0</MAX_DX>
      <MAX_DY>0</MAX_DY>
      <BACKCOLOR>4</BACKCOLOR>
      <bOldCoordSyst>True</bOldCoordSyst>
      <bUseGradient>False</bUseGradient>
      <bInvertColors>True</bInvertColors>
      <backColor2>0</backColor2>
      <patternBr>2</patternBr>
      <colorPalId/>
      <zoomPicture/>
      <BITMAPFILE/>
      <bmpBackground/>
      <bitmapStyle>stretch</bitmapStyle>
      <bmpPattern/>
      <bmpLogo/>
      <posLogo>tPL_right_up</posLogo>
      <userHelp/>
      <posType>0</posType>
      <posAt>0</posAt>
      <skupina>tPaintNormal</skupina>
      <transform>tStdLayout</transform>
      <posFncts>tPF_Zoom</posFncts>
      <windowType>tWT_MDI</windowType>
      <dockPos>tDP_Top</dockPos>
      <proportional>False</proportional>
      <useZoomSpec>True</useZoomSpec>
      <subPictMinSize>True</subPictMinSize>
      <modality>False</modality>
      <applModality>False</applModality>
      <unvisible>False</unvisible>
      <log_close>False</log_close>
      <refresh_in_hi>True</refresh_in_hi>
      <rdReOpen>True</rdReOpen>
      <scrollsInZoom>True</scrollsInZoom>
      <min_btn>True</min_btn>
      <max_btn>True</max_btn>
      <close_btn>True</close_btn>
      <border>True</border>
      <zoomBorder>False</zoomBorder>
      <javaThreadType>tJT_POOL</javaThreadType>
      <layersNum>1</layersNum>
      <layers_Arr>
        <Layer_0>0.00000000000000E+00</Layer_0>
        <Layer_1>0.00000000000000E+00</Layer_1>
        <Layer_2>0.00000000000000E+00</Layer_2>
        <Layer_3>0.00000000000000E+00</Layer_3>
        <Layer_4>0.00000000000000E+00</Layer_4>
        <Layer_5>0.00000000000000E+00</Layer_5>
        <Layer_6>0.00000000000000E+00</Layer_6>
        <Layer_7>0.00000000000000E+00</Layer_7>
        <Layer_8>0.00000000000000E+00</Layer_8>
      </layers_Arr>
      <goEnter>1</goEnter>
      <goEsc>2</goEsc>
      <odkaz1/>
      <odkaz2/>
      <odkaz3/>
      <homeIsntNr>0</homeIsntNr>
      <prevIsntNr>0</prevIsntNr>
      <nextIsntNr>0</nextIsntNr>
    </TPictureData>
    <tDisplayData>
      <grObjectNr>1</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>5</grObjectNr>
      <objectId>M.LD_WhoIs_UDP</objectId>
      <locVarId>0</locVarId>
      <objectNr>0</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>7</grObjectNr>
      <objectId/>
      <locVarId>5</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>8</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>9</grObjectNr>
      <objectId/>
      <locVarId>12</locVarId>
      <objectNr>0</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>10</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>11</grObjectNr>
      <objectId/>
      <locVarId>7</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>12</grObjectNr>
      <objectId/>
      <locVarId>8</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>13</grObjectNr>
      <objectId/>
      <locVarId>9</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>14</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>15</grObjectNr>
      <objectId/>
      <locVarId>10</locVarId>
      <objectNr>0</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>True</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>16</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>17</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>18</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tDisplayData>
      <grObjectNr>19</grObjectNr>
      <objectId/>
      <locVarId>0</locVarId>
      <objectNr>1</objectNr>
      <objectNrItem>0</objectNrItem>
      <objectFnct>0</objectFnct>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <redrawMode>0</redrawMode>
      <color>0</color>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
    </tDisplayData>
    <tControlData>
      <grObjectNr>5</grObjectNr>
      <fnct>fnct_call_obj</fnct>
      <objectId>M.LD_WhoIs_UDP</objectId>
      <locVarId>0</locVarId>
      <ctrlDlg>0</ctrlDlg>
      <ctrlTyp>0</ctrlTyp>
      <ctrlStr/>
      <reakciaNa>bStlacenie</reakciaNa>
      <objectIndex>0</objectIndex>
      <objectItem>0</objectItem>
      <instanceNr>0</instanceNr>
      <bObjIsLocVar>False</bObjIsLocVar>
      <bObjIdxIsLocVar>False</bObjIdxIsLocVar>
      <bInstIsLocVar>False</bInstIsLocVar>
    </tControlData>
    <tPictureDataBin>
      <objNr>0</objNr>
      <order>0</order>
      <Data><![CDATA[1.typ='VERSION'
1.version= 4
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>1</objNr>
      <order>1</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 2
1.bpassiverid=FALSE
1.x= 5
1.y= 32
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 100
1.dy= 30
1.round= 23
1.pristroj='CTRL_BUTTON'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>5</objNr>
      <order>2</order>
      <Data><![CDATA[1.typ='TEXT'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 10
1.y= 92
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=TRUE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 0
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.gradient=NOGRADIENT
1.gradientcolor2_idx= 0
1.gradientalfa1= 100
1.gradientalfa12= 100
1.metadata=''
1.objurl=''
1.dx= 0
1.dy= 0
1.round= 0
1.round2= 0
1.round3= 0
1.round4= 0
1.b4rounds=FALSE
1.textpos=TPATPOS
1.texttype=TTNORMAL
1.textstyle=TSTEXT
1.center= 1
1.vcenter= 1
1.angle= 0
1.vertical=FALSE
1.colort_idx= 15
1.colort2= 10
1.text='Object: {V}'
1.multiline=FALSE
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>7</objNr>
      <order>3</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 130
1.y= 32
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 710
1.dy= 530
1.round= 12
1.pristroj='BROWSER'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>8</objNr>
      <order>4</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 3
1.bpassiverid=FALSE
1.x= 5
1.y= 122
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 100
1.dy= 30
1.round= 23
1.pristroj='CTRL_BUTTON'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>9</objNr>
      <order>5</order>
      <Data><![CDATA[1.typ='TEXT'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 2
1.bpassiverid=FALSE
1.x= 10
1.y= 182
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=TRUE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 0
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.gradient=NOGRADIENT
1.gradientcolor2_idx= 0
1.gradientalfa1= 100
1.gradientalfa12= 100
1.metadata=''
1.objurl=''
1.dx= 0
1.dy= 0
1.round= 0
1.round2= 0
1.round3= 0
1.round4= 0
1.b4rounds=FALSE
1.textpos=TPATPOS
1.texttype=TTNORMAL
1.textstyle=TSTEXT
1.center= 1
1.vcenter= 1
1.angle= 0
1.vertical=FALSE
1.colort_idx= 15
1.colort2= 10
1.text='Objects: {V}'
1.multiline=FALSE
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>10</objNr>
      <order>6</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 6
1.bpassiverid=FALSE
1.x= 10
1.y= 360
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 110
1.dy= 20
1.round= 23
1.pristroj='CTRL_BUTTON'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>11</objNr>
      <order>7</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 10
1.y= 290
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 40
1.dy= 30
1.round= 21
1.pristroj='CTRL_EFIELD'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>12</objNr>
      <order>8</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 60
1.y= 290
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 60
1.dy= 30
1.round= 21
1.pristroj='CTRL_EFIELD'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>13</objNr>
      <order>9</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 870
1.y= 30
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 280
1.dy= 530
1.round= 12
1.pristroj='BROWSER'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>14</objNr>
      <order>10</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 10
1.y= 240
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 60
1.dy= 40
1.round= 20
1.pristroj='CTRL_STATIC'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>15</objNr>
      <order>11</order>
      <Data><![CDATA[1.typ='TEXT'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 20
1.y= 410
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=TRUE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 0
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.gradient=NOGRADIENT
1.gradientcolor2_idx= 0
1.gradientalfa1= 100
1.gradientalfa12= 100
1.metadata=''
1.objurl=''
1.dx= 0
1.dy= 0
1.round= 0
1.round2= 0
1.round3= 0
1.round4= 0
1.b4rounds=FALSE
1.textpos=TPATPOS
1.texttype=TTNORMAL
1.textstyle=TSTEXT
1.center= 1
1.vcenter= 1
1.angle= 0
1.vertical=FALSE
1.colort_idx= 15
1.colort2= 10
1.text='Cycle {V}'
1.multiline=FALSE
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>16</objNr>
      <order>12</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 70
1.y= 240
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 50
1.dy= 20
1.round= 20
1.pristroj='CTRL_STATIC'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>17</objNr>
      <order>13</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 10
1.y= 330
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 110
1.dy= 20
1.round= 20
1.pristroj='CTRL_STATIC'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>18</objNr>
      <order>14</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 10
1.y= 430
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 110
1.dy= 50
1.round= 20
1.pristroj='CTRL_STATIC'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>19</objNr>
      <order>15</order>
      <Data><![CDATA[1.typ='GENIUS'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 11
1.bpassiverid=FALSE
1.x= 10
1.y= 470
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=FALSE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 1
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.metadata=''
1.objurl=''
1.dx= 110
1.dy= 20
1.round= 23
1.pristroj='CTRL_BUTTON'
]]></Data>
    </tPictureDataBin>
    <tPictureDataBin>
      <objNr>20</objNr>
      <order>16</order>
      <Data><![CDATA[1.typ='TEXT'
1.zoomed=TRUE
1.layers[1]=TRUE
1.layers[2]=TRUE
1.layers[3]=TRUE
1.layers[4]=TRUE
1.layers[5]=TRUE
1.layers[6]=TRUE
1.layers[7]=TRUE
1.layers[8]=TRUE
1.layers[9]=TRUE
1.layers[10]=TRUE
1.refvarid= 0
1.bpassiverid=FALSE
1.x= 20
1.y= 21
1.bkeepright=FALSE
1.bkeepbottom=FALSE
1.bfloatwidth=FALSE
1.bfloatheight=FALSE
1.bscalewidth=TRUE
1.bscaleheight=TRUE
1.bplacewidth=FALSE
1.bplaceheight=FALSE
1.bplacewidth2=FALSE
1.bplaceheight2=FALSE
1.bkeepacpectratio=FALSE
1.busezoom=TRUE
1.colorp_idx= 15
1.colorb_idx= 0
1.patternb= 0
1.tooltip=''
1.linetype=SOLID
1.linewend= 0
1.linejoin= 2
1.linewidth= 1
1.buse=FALSE
1.binvert=FALSE
1.colorb2_idx= 0
1.patternbr= 0
1.alfa= 25700
1.gradient=NOGRADIENT
1.gradientcolor2_idx= 0
1.gradientalfa1= 100
1.gradientalfa12= 100
1.metadata=''
1.objurl=''
1.dx= 0
1.dy= 0
1.round= 0
1.round2= 0
1.round3= 0
1.round4= 0
1.b4rounds=FALSE
1.textpos=TPATPOS
1.texttype=TTNORMAL
1.textstyle=TSTEXT
1.center= 1
1.vcenter= 1
1.angle= 0
1.vertical=FALSE
1.colort_idx= 15
1.colort2= 10
1.text='Detection of a Bacnet device on a UDP (Bacnet/IP) network'
1.multiline=FALSE
]]></Data>
    </tPictureDataBin>
    <tDispSpecDataBin>
      <objNr>1</objNr>
      <Data><![CDATA[1.pristroj='CTRL_BUTTON'
1.bgroup=FALSE
1.bscaption='Query Device'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>7</objNr>
      <Data><![CDATA[1.pristroj='BROWSER'
1.bscondition=''
1.bsorder=''
1.bpaging=FALSE
1.npagelen= 0
1.binsert=FALSE
1.bdelete=FALSE
1.bedit=FALSE
1.bdescripts=FALSE
1.bcondchange=FALSE
1.bautorefresh=TRUE
1.look.backcolor= 34
1.look.col1col= 2
1.look.col1text= 15
1.look.colodd= 34
1.look.coleven= 34
1.look.bpaintndcells=FALSE
1.look.colndodd= 34
1.look.colndeven= 34
1.look.colpager= 1280
1.look.coledit= 72
1.look.colins= 18
1.look.coldel= 66
1.look.bgrid=TRUE
1.look.obsolete_frame=DIALOG
1.look.colorselection_bcustom=FALSE
1.look.colorselection_alpha= 40
1.look.colorselection_coloridx= 1283
1.look.benableimages=FALSE
1.look.borderwidth= 0
1.look.bordercolor= 1280
1.selidx= 1
1.bsplitters=FALSE
1.blinenr=TRUE
1.colsnr= 4
1.col_nwidth[1]= 0
1.col_bvisible[1]=TRUE
1.col_beditable[1]=TRUE
1.col_align[1]= 1
1.col_order[1]= 1
1.col_caption[1]=''
1.col_usecheckbox[1]=FALSE
1.col_transpalidx[1]= 0
1.col_textandbutton[1]=FALSE
1.col_coldisplaypalidx[1]= 0
1.col_tooltip[1]=''
1.col_metadata[1]=''
1.col_hdrbackcolor[1]= 1280
1.col_hdrtextcolor[1]= 1288
1.col_hdrtexthalign[1]= 0
1.col_overrideusesttext[1]=FALSE
1.col_nwidth[2]= 0
1.col_bvisible[2]=TRUE
1.col_beditable[2]=TRUE
1.col_align[2]= 1
1.col_order[2]= 2
1.col_caption[2]=''
1.col_usecheckbox[2]=FALSE
1.col_transpalidx[2]= 0
1.col_textandbutton[2]=FALSE
1.col_coldisplaypalidx[2]= 0
1.col_tooltip[2]=''
1.col_metadata[2]=''
1.col_hdrbackcolor[2]= 1280
1.col_hdrtextcolor[2]= 1288
1.col_hdrtexthalign[2]= 0
1.col_overrideusesttext[2]=FALSE
1.col_nwidth[3]= 0
1.col_bvisible[3]=TRUE
1.col_beditable[3]=TRUE
1.col_align[3]= 0
1.col_order[3]= 3
1.col_caption[3]=''
1.col_usecheckbox[3]=FALSE
1.col_transpalidx[3]= 0
1.col_textandbutton[3]=FALSE
1.col_coldisplaypalidx[3]= 0
1.col_tooltip[3]=''
1.col_metadata[3]=''
1.col_hdrbackcolor[3]= 1280
1.col_hdrtextcolor[3]= 1288
1.col_hdrtexthalign[3]= 0
1.col_overrideusesttext[3]=FALSE
1.col_nwidth[4]= 0
1.col_bvisible[4]=TRUE
1.col_beditable[4]=TRUE
1.col_align[4]= 0
1.col_order[4]= 4
1.col_caption[4]=''
1.col_usecheckbox[4]=FALSE
1.col_transpalidx[4]= 0
1.col_textandbutton[4]=FALSE
1.col_coldisplaypalidx[4]= 0
1.col_tooltip[4]=''
1.col_metadata[4]=''
1.col_hdrbackcolor[4]= 1280
1.col_hdrtextcolor[4]= 1288
1.col_hdrtexthalign[4]= 0
1.col_overrideusesttext[4]=FALSE
1.bshowcolheaders=TRUE
1.bscrollbarhvisibility=SBVAUTO
1.bscrollbarvvisibility=SBVAUTO
1.bsynchorizsb=FALSE
1.bsyncvertsb=FALSE
1.bvcellborders=FALSE
1.bhcellborders=FALSE
1.bshowselection=TRUE
1.btransparentselection=TRUE
1.brwframe=FRRAISED
1.usparams='bMultiSelect=false
bPassive=false'
1.bsyncpaging=FALSE
1.bshowpagingctrls=TRUE
1.pagingbarvisibility=PBVAUTO
1.hdrcustomheightenable=FALSE
1.hdrcustomheightvalue= 32
1.hdrcustomdraw=FALSE
1.hdrlbordercolor= 2
1.hdrlborderwidth= 1
1.hdrrbordercolor= 2
1.hdrrborderwidth= 1
1.hdrseparatorcolor= 2
1.hdrseparatorwidth= 1
1.hdrcolnrbkcolor= 2
1.hdrcolextrabkcolor= 2
1.bexportenabled=TRUE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>8</objNr>
      <Data><![CDATA[1.pristroj='CTRL_BUTTON'
1.bgroup=FALSE
1.bscaption='Query Objects'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>10</objNr>
      <Data><![CDATA[1.pristroj='CTRL_BUTTON'
1.bgroup=FALSE
1.bscaption='Query Obj Properties'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>11</objNr>
      <Data><![CDATA[1.pristroj='CTRL_EFIELD'
1.bgroup=FALSE
1.bscaption=''
1.neflimit= 32
1.befborder=TRUE
1.befenterplus=FALSE
1.befusescroll=FALSE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=TRUE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>12</objNr>
      <Data><![CDATA[1.pristroj='CTRL_EFIELD'
1.bgroup=FALSE
1.bscaption=''
1.neflimit= 32
1.befborder=TRUE
1.befenterplus=FALSE
1.befusescroll=FALSE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=TRUE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>13</objNr>
      <Data><![CDATA[1.pristroj='BROWSER'
1.bscondition=''
1.bsorder=''
1.bpaging=FALSE
1.npagelen= 0
1.binsert=FALSE
1.bdelete=FALSE
1.bedit=FALSE
1.bdescripts=FALSE
1.bcondchange=FALSE
1.bautorefresh=TRUE
1.look.backcolor= 34
1.look.col1col= 2
1.look.col1text= 15
1.look.colodd= 34
1.look.coleven= 34
1.look.bpaintndcells=FALSE
1.look.colndodd= 34
1.look.colndeven= 34
1.look.colpager= 1280
1.look.coledit= 72
1.look.colins= 18
1.look.coldel= 66
1.look.bgrid=TRUE
1.look.obsolete_frame=DIALOG
1.look.colorselection_bcustom=FALSE
1.look.colorselection_alpha= 40
1.look.colorselection_coloridx= 1283
1.look.benableimages=FALSE
1.look.borderwidth= 0
1.look.bordercolor= 1280
1.selidx= 1
1.bsplitters=FALSE
1.blinenr=TRUE
1.colsnr= 2
1.col_nwidth[1]= 40
1.col_bvisible[1]=TRUE
1.col_beditable[1]=TRUE
1.col_align[1]= 1
1.col_order[1]= 1
1.col_caption[1]=''
1.col_usecheckbox[1]=FALSE
1.col_transpalidx[1]= 0
1.col_textandbutton[1]=FALSE
1.col_coldisplaypalidx[1]= 0
1.col_tooltip[1]=''
1.col_metadata[1]=''
1.col_hdrbackcolor[1]= 1280
1.col_hdrtextcolor[1]= 1288
1.col_hdrtexthalign[1]= 0
1.col_overrideusesttext[1]=FALSE
1.col_nwidth[2]= 0
1.col_bvisible[2]=TRUE
1.col_beditable[2]=TRUE
1.col_align[2]= 0
1.col_order[2]= 2
1.col_caption[2]=''
1.col_usecheckbox[2]=FALSE
1.col_transpalidx[2]= 0
1.col_textandbutton[2]=FALSE
1.col_coldisplaypalidx[2]= 0
1.col_tooltip[2]=''
1.col_metadata[2]=''
1.col_hdrbackcolor[2]= 1280
1.col_hdrtextcolor[2]= 1288
1.col_hdrtexthalign[2]= 0
1.col_overrideusesttext[2]=FALSE
1.bshowcolheaders=TRUE
1.bscrollbarhvisibility=SBVAUTO
1.bscrollbarvvisibility=SBVAUTO
1.bsynchorizsb=FALSE
1.bsyncvertsb=FALSE
1.bvcellborders=FALSE
1.bhcellborders=FALSE
1.bshowselection=TRUE
1.btransparentselection=TRUE
1.brwframe=FRRAISED
1.usparams='bMultiSelect=false
bPassive=false'
1.bsyncpaging=FALSE
1.bshowpagingctrls=TRUE
1.pagingbarvisibility=PBVAUTO
1.hdrcustomheightenable=FALSE
1.hdrcustomheightvalue= 32
1.hdrcustomdraw=FALSE
1.hdrlbordercolor= 2
1.hdrlborderwidth= 1
1.hdrrbordercolor= 2
1.hdrrborderwidth= 1
1.hdrseparatorcolor= 2
1.hdrseparatorwidth= 1
1.hdrcolnrbkcolor= 2
1.hdrcolextrabkcolor= 2
1.bexportenabled=TRUE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>14</objNr>
      <Data><![CDATA[1.pristroj='CTRL_STATIC'
1.bgroup=FALSE
1.bscaption='Object type '
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=TRUE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>16</objNr>
      <Data><![CDATA[1.pristroj='CTRL_STATIC'
1.bgroup=FALSE
1.bscaption='Instance'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=TRUE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>17</objNr>
      <Data><![CDATA[1.pristroj='CTRL_STATIC'
1.bgroup=FALSE
1.bscaption='Properties 1-511'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=TRUE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>18</objNr>
      <Data><![CDATA[1.pristroj='CTRL_STATIC'
1.bgroup=FALSE
1.bscaption='Properties 512-8192'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=TRUE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tDispSpecDataBin>
      <objNr>19</objNr>
      <Data><![CDATA[1.pristroj='CTRL_BUTTON'
1.bgroup=FALSE
1.bscaption='Query Obj Properties'
1.neflimit= 32
1.befborder=TRUE
1.nsblow= 1
1.nsbhigh= 99
1.lbtype=TLB_LIST
1.dynsearching=WITHOUTDYNSEARCHING
1.bmultiline=FALSE
1.brichedit=FALSE
1.ialign= 0
1.baligntop=FALSE
1.binitvisible=TRUE
1.binitdisabled=FALSE
1.bshapestatic=FALSE
1.bshapeclient=FALSE
1.bshapemodal=FALSE
1.bwordwrap=TRUE
1.btransparent=FALSE
1.bexpandsttext=FALSE
1.bbmpplustexth=FALSE
1.bbmpplustextv=FALSE
1.bpushlike=FALSE
1.bpassword=FALSE
1.imandatory= 0
1.colorfill=-1
1.colortext=-1
1.useborders=FALSE
]]></Data>
    </tDispSpecDataBin>
    <tScriptLocalVar>
      <Name>_query_device</Name>
      <Id>2</Id>
      <forObject>ObjGO</forObject>
      <vTyp>Int</vTyp>
      <typ>RefID</typ>
      <refVal>1</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_query_objlist</Name>
      <Id>3</Id>
      <forObject>ObjButton</forObject>
      <vTyp>Int</vTyp>
      <typ>RefID</typ>
      <refVal>2</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_objlist</Name>
      <Id>5</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Rec</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId>SD.LD_List</structId>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_query_objproperties</Name>
      <Id>6</Id>
      <forObject>ObjButton</forObject>
      <vTyp>Int</vTyp>
      <typ>RefID</typ>
      <refVal>4</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_objtype</Name>
      <Id>7</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Int</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_objinstance</Name>
      <Id>8</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Int</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_objproplist</Name>
      <Id>9</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Rec</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId>SD.LD_PropList</structId>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_i</Name>
      <Id>10</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Int</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_query_objproperties2</Name>
      <Id>11</Id>
      <forObject>ObjButton</forObject>
      <vTyp>Int</vTyp>
      <typ>RefID</typ>
      <refVal>5</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptLocalVar>
      <Name>_obj_count</Name>
      <Id>12</Id>
      <forObject>ObjNone</forObject>
      <vTyp>Int</vTyp>
      <typ>Local</typ>
      <refVal>0</refVal>
      <structId/>
      <desc/>
      <filter>NoFilter</filter>
      <stTextID/>
      <txtPalIdx>0</txtPalIdx>
      <initial_value/>
    </tScriptLocalVar>
    <tScriptDef_Full>
      <script><![CDATA[
ENTRY query_device_OnClick
  TEXT _adr1
  TEXT _adr2
  INT _ret
  INT _val
  
  GETPOINTADR M.LD_WhoIs_UDP, _adr1, _adr2, _ret

  _ret := COMMAND "SETPTADDR M.LD_WhoIs_UDP " + _adr1 + " " + _adr2 ON BACRT.KOM
  DELAY 10[ms]
  IF _ret = _ERR_NO_ERROR THEN
    _val := M.LD_WhoIs_UDP
    IF _val\VLD THEN
      MESSAGE "OK read device id " + %IToStr(_val) ON _FROM_HIP
    ELSE
      MESSAGE "OK read device id invalid" ON _FROM_HIP
    ENDIF
  ENDIF
END query_device_OnClick

ENTRY query_objlist_OnClick
  ;INT _obj_count
  INT _ret
  INT _j
  TEXT _objType
  TEXT _objInst
  TIME _t
  
  _t := M.LD_Txt_UDP\TIM
  _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=8;I=" + %IToStr(M.LD_WhoIs_UDP) + ";PT=1;PI=76;PA=0 " ON BACRT.KOM
  IF _ret = _ERR_NO_ERROR THEN 
    DO_LOOP
      EXIT_LOOP M.LD_Txt_UDP\TIM # _t
      DELAY 5[ms]
    END_LOOP
  ELSE
    MESSAGE "Error reading object count!" ON _FROM_HIP
    END
  ENDIF
  _obj_count := %StrToI(M.LD_Txt_UDP)
  
  REDIM _objlist[_obj_count]
  
  FOR _i=1 TO _obj_count  DO_LOOP
    _t := M.LD_Txt_UDP\TIM
    _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=8;I=" + %IToStr(M.LD_WhoIs_UDP) + ";PT=1;PI=76;PA=" + %IToStr(_i) ON BACRT.KOM
    IF _ret = _ERR_NO_ERROR THEN 
      DO_LOOP
        EXIT_LOOP M.LD_Txt_UDP\TIM # _t
        DELAY 5[ms]
      END_LOOP
      _j := %FindStr(M.LD_Txt_UDP, ":")
      _objType := %SubStr(M.LD_Txt_UDP, 1, _j-1)
      _objInst := %SubStr(M.LD_Txt_UDP, _j+1, 100)
      _objlist[_i]^ObjType  := %StrToI(_objType)
      ;_objlist[_i]^ObjIdent := %StrToI(_objInst)
      _objlist[_i]^ObjIdent := M.LD_Txt_UDP
      
      _t := M.LD_Txt_UDP\TIM  ; nacitaj Nazov (atribut object-name)
      _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=" + _objType + ";I=" + _objInst + ";PT=2;PI=77 CA=0" ON BACRT.KOM
      IF _ret = _ERR_NO_ERROR THEN 
        DO_LOOP
          EXIT_LOOP M.LD_Txt_UDP\TIM # _t
          DELAY 5[ms]
        END_LOOP
      _objlist[_i]^Name := M.LD_Txt_UDP
      ELSE
        MESSAGE "Error reading name of object " + _objType + ":" + _objInst ON _FROM_HIP
        END
      ENDIF
      
      _t := M.LD_Txt_UDP\TIM  ; nacitaj Popis (poziciu v strome)
      _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=" + _objType + ";I=" + _objInst + ";PT=2;PI=3016 CA=0" ON BACRT.KOM
      IF _ret = _ERR_NO_ERROR THEN 
        DO_LOOP
          EXIT_LOOP M.LD_Txt_UDP\TIM # _t
          DELAY 5[ms]
        END_LOOP
        IF M.LD_Txt_UDP\VLD THEN
          _objlist[_i]^Position := M.LD_Txt_UDP
        ELSE
          _objlist[_i]^Position := "<invalid>"
        ENDIF
      ENDIF
    ELSE
      MESSAGE "Error reading object number " + %IToStr(_i) ON _FROM_HIP
      END
    ENDIF     
  END_LOOP
  
END query_objlist_OnClick

ENTRY query_objproperties_OnClick
  TIME _t
  INT _ret
  INT _j
  
   REDIM _objproplist[1]
   REDIM _objproplist[512]
  _j := 1;
  
  FOR _i=0 TO 511 DO_LOOP
    _t := M.LD_Txt_UDP\TIM
    _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=" + %IToStr(_objtype) + ";I=" + %IToStr(_objinstance) + ";PT=2;PI=" + %IToStr(_i) ON BACRT.KOM
    IF _ret = _ERR_NO_ERROR THEN 
      DO_LOOP
        EXIT_LOOP M.LD_Txt_UDP\TIM # _t
        DELAY 5[ms]
      END_LOOP
      IF M.LD_Txt_UDP\VLD THEN
        _objproplist[_j]^Property_Id := _i
        _objproplist[_j]^Property_Value := M.LD_Txt_UDP
        _j := _j + 1
      ENDIF
    ELSE
      MESSAGE "Error reading property" + %IToStr(_i) ON _FROM_HIP
      END
    ENDIF
  END_LOOP
  
  
END query_objproperties_OnClick


ENTRY query_objproperties2_OnClick
  TIME _t
  INT _ret
  INT _j
  
   REDIM _objproplist[1]
   REDIM _objproplist[8192]
  _j := 1;
  
  FOR _i=512 TO 8192 DO_LOOP
  ;FOR _i=3000 TO 3200 DO_LOOP
    _t := M.LD_Txt_UDP\TIM
    _ret := COMMAND "SETPTADDR M.LD_Txt_UDP RT=0;OT=" + %IToStr(_objtype) + ";I=" + %IToStr(_objinstance) + ";PT=2;PI=" + %IToStr(_i) ON BACRT.KOM
    IF _ret = _ERR_NO_ERROR THEN 
      DO_LOOP
        EXIT_LOOP M.LD_Txt_UDP\TIM # _t
        DELAY 5[ms]
      END_LOOP
      IF M.LD_Txt_UDP\VLD THEN
        _objproplist[_j]^Property_Id := _i
        _objproplist[_j]^Property_Value := M.LD_Txt_UDP
        _j := _j + 1
      ENDIF
    ENDIF
  END_LOOP
END query_objproperties2_OnClick
]]></script>
      <scriptRemote/>
    </tScriptDef_Full>
  </CFGRECORDS>
  <MEMBEROFRESGROUP>
    <member>Home_s\7852FCF00F36D84F91F2D7250A0E80D4</member>
  </MEMBEROFRESGROUP>
  <CRC>ded4247d59cadd6311b67da610287712</CRC>
</ROOT>
